Virtual Machines - Delete

The operation to delete a virtual machine.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/virtualMachines/{vmName}?api-version=2022-08-01
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/virtualMachines/{vmName}?forceDeletion={forceDeletion}&api-version=2022-08-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True
  • string

The name of the resource group.

subscriptionId
path True
  • string

Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.

vmName
path True
  • string

The name of the virtual machine.

api-version
query True
  • string

Client Api Version.

forceDeletion
query
  • boolean

Optional parameter to force delete virtual machines.

Responses

Name Type Description
200 OK

OK

202 Accepted

Accepted

204 No Content

No Content

Other Status Codes

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Force delete a VM

Sample Request

DELETE https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/virtualMachines/myVM?forceDeletion=true&api-version=2022-08-01

Sample Response

Definitions

ApiError

Api error.

ApiErrorBase

Api error base.

CloudError

An error response from the Compute service.

InnerError

Inner error details.

ApiError

Api error.

Name Type Description
code
  • string

The error code.

details

The Api error details

innererror

The Api inner error

message
  • string

The error message.

target
  • string

The target of the particular error.

ApiErrorBase

Api error base.

Name Type Description
code
  • string

The error code.

message
  • string

The error message.

target
  • string

The target of the particular error.

CloudError

An error response from the Compute service.

Name Type Description
error

Api error.

InnerError

Inner error details.

Name Type Description
errordetail
  • string

The internal error message or exception dump.

exceptiontype
  • string

The exception type.